version: '3'
services:
  nginx:
    ports:
      - "3000:80"
      
  node-app:
    volumes:
      - ./:/app
      - /app/node_modules
    environment:
      - NODE_ENV=development
      - MONGO_USER=shubham
      - MONGO_PASS=Mob1234
    command: npm run dev
  mongo:
    environment: 
      - MONGO_INITDB_ROOT_USERNAME=shubham
      - MONGO_INITDB_ROOT_PASSWORD=Mob1234